Skip to main content

Libraries

Getting Started

1

Get an API key

Sign up at the Dedalus Dashboard and create an API key.
2

Install an SDK

Pick a language from the Install tabs above.
3

Create a machine

Create your first cloud workspace with 2 vCPUs, 4 GB RAM, and 20 GB storage.
import Dedalus from "dedalus";

const client = new Dedalus();
const machine = await client.machines.create({
  vcpu: 2, memoryMib: 4096, storageGib: 20,
});

Authentication

All endpoints require a Bearer token or X-API-Key header, plus an X-Dedalus-Org-Id header.
Authorization: Bearer YOUR_API_KEY
X-Dedalus-Org-Id: YOUR_ORG_ID

Machines

MethodPathDescription
POST/v1/machinesCreate machine
GET/v1/machinesList machines
GET/v1/machines/:idGet machine
PATCH/v1/machines/:idUpdate machine
DELETE/v1/machines/:idDestroy machine
POST/v1/machines/:id/wakeWake machine
POST/v1/machines/:id/sleepSleep machine

SSH

MethodPathDescription
POST/v1/machines/:id/sshCreate SSH session
GET/v1/machines/:id/sshList SSH sessions
DELETE/v1/machines/:id/ssh/:sidDelete SSH session

Executions

MethodPathDescription
POST/v1/machines/:id/executionsCreate execution
GET/v1/machines/:id/executionsList executions
DELETE/v1/machines/:id/executions/:eidDelete execution

Terminals

MethodPathDescription
POST/v1/machines/:id/terminalsCreate terminal
GET/v1/machines/:id/terminals/:tid/streamConnect WebSocket

Previews & Artifacts

MethodPathDescription
POST/v1/machines/:id/previewsCreate preview
GET/v1/machines/:id/artifactsList artifacts
GET/v1/orgs/:org_id/usageGet org usage
Last modified on April 9, 2026